Menu

## footnotes

### Packages

WPDashboard

### Interfaces, Classes and Traits

Footnotes_Config
  Contains all Plugin Constants. Contains no Method or Property.
Footnotes_Convert
  Converts data types and Footnotes specific values.
Footnotes_Layout_Init
  Handles the Settings interface of the Plugin.
Footnotes_Layout_Engine
  Layout Engine for the administration dashboard.
Footnotes_Layout_Settings
  Displays and handles all Settings of the Plugin.
Footnotes_Hooks
  Registers all WordPress hooks and executes them on demand.
Footnotes
  Provides an entry point to the Plugin.
Footnotes_Language
  Loads text domain of current or default language for localization.
Footnotes_Settings
  Loads the settings values, sets to default values if undefined.
Footnotes_Task
  Searches and replaces the footnotes and generates the reference container.
Footnotes_Template
  Handles each Template file for the Plugin Frontend (e.g. Settings Dashboard, Public pages, ...).
Footnotes_Widget_Base
  Base Class for all Plugin Widgets. Registers each Widget to WordPress.
Footnotes_Widget_Reference_Container
  Registers a Widget to put the Reference Container to the widget area.
Footnotes_WYSIWYG
  Handles the WSYIWYG-Buttons.

### Table of Contents

mci_footnotes_require_php_files() : mixed
  Requires (`require_once`) all `*.php` files inside a specific Directory.

### Functions

#### mci_footnotes_require_php_files()

includes.php : 17

Requires (`require_once`) all `*.php` files inside a specific Directory.

`mci_footnotes_require_php_files(string $p_str_directory) : mixed`

##### Parameters

$p_str_directory : string

  Absolute Directory path to lookup for `*.php` files.

##### Tags

author

  Stefan Herndler

since
  1.5.0

## Search results